Fedora 31: glibc FEDORA-2020-244efc27af

    Date 04 Apr 2020
    695
    Posted By LinuxSecurity Advisories
    This update incorporates fixes from the upstream glibc 2.30 stable release branch, including 3 fixes for medium severity security vulnerabilities. (CVE-2020-10029, CVE-2020-1752, CVE-2020-1751)
    --------------------------------------------------------------------------------
    Fedora Update Notification
    FEDORA-2020-244efc27af
    2020-04-05 03:03:00.010077
    --------------------------------------------------------------------------------
    
    Name        : glibc
    Product     : Fedora 31
    Version     : 2.30
    Release     : 11.fc31
    URL         : https://www.gnu.org/software/glibc/
    Summary     : The GNU libc libraries
    Description :
    The glibc package contains standard libraries which are used by
    multiple programs on the system. In order to save disk space and
    memory, as well as to make upgrading easier, common system code is
    kept in one place and shared between programs. This particular package
    contains the most important sets of shared libraries: the standard C
    library and the standard math library. Without these two libraries, a
    Linux system will not function.
    
    --------------------------------------------------------------------------------
    Update Information:
    
    This update incorporates fixes from the upstream glibc 2.30 stable release
    branch, including 3 fixes for medium severity security vulnerabilities.
    (CVE-2020-10029, CVE-2020-1752, CVE-2020-1751)
    --------------------------------------------------------------------------------
    ChangeLog:
    
    * Mon Mar 23 2020 Patsy Franklin  - 2.30-11
    - Auto-sync with upstream branch release/2.30/master,
      commit fb266e65ccf6fd674e05352ceb5f12d60889b92d.
    - Fix array overflow in backtrace on PowerPC (bug 25423)
    - Fix use-after-free in glob when expanding ~user (bug 25414)
    - Add NEWS entry for CVE-2020-10029 (bug 25487)
    - math/test-sinl-pseudo: Use stack protector only if available
    - Avoid ldbl-96 stack corruption from range reduction of pseudo-zero (bug 25487).
    - Improve IFUNC check [BZ #25506]
    - malloc/tst-mallocfork2: Kill lingering process for unexpected failures 
    - riscv: Avoid clobbering register parameters in syscall
    - microblaze: Avoid clobbering register parameters in syscall
    - mips: Fix argument passing for inlined syscalls on Linux [BZ #25523]
    - mips: Use 'long int' and 'long long int' in linux syscall code
    - hppa: Align __clone stack argument to 8 bytes (Bug 25066)
    --------------------------------------------------------------------------------
    References:
    
      [ 1 ] Bug #1810671 - CVE-2020-10029 glibc: stack corruption from crafted input in cosl, sinl, sincosl, and tanl functions [fedora-all]
            https://bugzilla.redhat.com/show_bug.cgi?id=1810671
      [ 2 ] Bug #1811586 - CVE-2020-1752 glibc: use-after-free in glob() function when expanding ~user [fedora-all]
            https://bugzilla.redhat.com/show_bug.cgi?id=1811586
      [ 3 ] Bug #1811589 - CVE-2020-1751 glibc: array overflow in backtrace functions for powerpc [fedora-all]
            https://bugzilla.redhat.com/show_bug.cgi?id=1811589
    --------------------------------------------------------------------------------
    
    This update can be installed with the "dnf" update program. Use
    su -c 'dnf upgrade --advisory FEDORA-2020-244efc27af' at the command
    line. For more information, refer to the dnf documentation available at
    https://dnf.readthedocs.io/en/latest/command_ref.html#upgrade-command-label
    
    All packages are signed with the Fedora Project GPG key. More details on the
    GPG keys used by the Fedora Project can be found at
    https://fedoraproject.org/keys
    --------------------------------------------------------------------------------
    _______________________________________________
    package-announce mailing list -- This email address is being protected from spambots. You need JavaScript enabled to view it.
    To unsubscribe send an email to This email address is being protected from spambots. You need JavaScript enabled to view it.
    Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
    List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
    List Archives: https://lists.fedoraproject.org/archives/list/This email address is being protected from spambots. You need JavaScript enabled to view it.
    

    LinuxSecurity Poll

    Do you agree with Linus Torvalds' decision to reject the controversial patch mitigating the Snoop attack on Intel CPUs?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/28-do-you-agree-with-linus-torvalds-decision-to-reject-the-controversial-patch-mitigating-the-snoop-attack-on-intel-cpus?task=poll.vote&format=json
    28
    radio
    [{"id":"100","title":"Yes - this was undoubtedly the right decision.","votes":"1","type":"x","order":"1","pct":33.33,"resources":[]},{"id":"101","title":"Not sure...","votes":"2","type":"x","order":"2","pct":66.67,"resources":[]},{"id":"102","title":"No - he made a big mistake here.","votes":"0","type":"x","order":"3","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350
    bottom 200

    Advisories

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.